import xml.etree.ElementTree as ET
import sys

# ---

def removeTracking(tree, name):
    root = tree.getroot()

    prefsArray = root.find("./dict/array")

    dicts = root.findall("./dict/array/dict")

    for pref in prefsArray.findall("dict"):
        strings = pref.findall("string")
        for string in strings:
            if string.text == name:
                print "MODIFY_SETTINGS found and removed " + name
                prefsArray.remove(pref)

# ---

if len(sys.argv) < 3:
    print "Usage: localizeSettings.py [path to Settings.bundle] [prime|de|at|net]"
    sys.exit(1)

bundlePath = str(sys.argv[1])
build = str(sys.argv[2])

tree = ET.parse(bundlePath)

print "MODIFY_SETTINGS for build " + build

if build == "prime":
    print "MODIFY_SETTINGS should remove RDETrackingIVWSwitch for " + build
    removeTracking(tree, "RDETrackingIVWSwitch")

if build != "at":
    print "MODIFY_SETTINGS should remove RDETrackingOWASwitch for " + build
    removeTracking(tree, "RDETrackingOWASwitch")

tree.write(bundlePath)
